Loading...
Searching...
No Matches
EclMultiplexerMaterialParams.hpp File Reference

Multiplexer implementation for the parameters required by the multiplexed three-phase material law. More...

`#include "EclStone1Material.hpp"`
`#include "EclStone2Material.hpp"`
`#include "EclDefaultMaterial.hpp"`
`#include "EclTwoPhaseMaterial.hpp"`
`#include <cassert>`
`#include <memory>`
`#include <type_traits>`
`#include <opm/material/common/EnsureFinalized.hpp>`

Go to the source code of this file.

## Classes

struct | Opm::EclMultiplexerDispatch< ApproachArg >
struct | Opm::FrontIsEclMultiplexerDispatch< Args >
struct | Opm::FrontIsEclMultiplexerDispatch< EclMultiplexerDispatch< Value >, Args... >
class | Opm::EclMultiplexerMaterialParams< Traits, GasOilMaterialLawT, OilWaterMaterialLawT, GasWaterMaterialLawT >
| Multiplexer implementation for the parameters required by the multiplexed three-phase material law. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Enumerations

enum class | EclMultiplexerApproach { Default , Stone1 , Stone2 , TwoPhase , OnePhase }

## Variables

template<typename ... Args>
constexpr bool | Opm::FrontIsEclMultiplexerDispatchV = FrontIsEclMultiplexerDispatch<Args...>::value

## Detailed Description

Multiplexer implementation for the parameters required by the multiplexed three-phase material law.

Essentially, this class just stores parameter object for the "nested" material law and provides some methods to convert to it.